evince does not enable print

Bug #66379 reported by iroli on 2006-10-16
42
Affects Status Importance Assigned to Milestone
evince (Ubuntu)
High
Ubuntu Desktop Bugs

Bug Description

Binary package hint: evince

I'am using cups as spooler and all programs expect evince can print. Evince only enabled the print button when selecting print to file, the buttons stays grayed out when selecting printing to any cups printer (a real one, and a virtual one).

This is evince 0.6.1 from edgy.

Sebastien Bacher (seb128) wrote :

Thanks for your bug. evince uses GTK printing API. Do you have the same issue with yelp or epiphany-browser? Do you have any message on the command line if you run the application from it?

Changed in evince:
assignee: nobody → desktop-bugs
status: Unconfirmed → Needs Info

$ evince test.pdf

** (evince:5588): WARNING **: Service registration failed.

** (evince:5588): WARNING **: Unable to determine the address of the
message bus (try 'man dbus-launch' and 'man dbus-daemon' for help)

(evince:5588): libgnomevfs-WARNING **: Failed to open session DBUS
connection: Unable to determine the address of the message bus (try 'man
dbus-launch' and 'man dbus-daemon' for help)
Volume monitoring will not work.

** (evince:5588): WARNING **: Error result: Too many failed attempts

^^
the last line whenever i select another printer

the same for yelp.

$ ps -e | grep dbus
  3874 ? 00:00:00 dbus-daemon
  4741 ? 00:00:00 dbus-launch
  4742 ? 00:00:00 dbus-daemon
  5775 ? 00:00:00 dbus-daemon

^^
there are some dbus-daemons around...

a 'sudo /etc/init.d/dbus restart' later
$ ps -e | grep dbus
  4741 ? 00:00:00 dbus-launch
  4742 ? 00:00:00 dbus-daemon
  5775 ? 00:00:00 dbus-daemon
  5942 ? 00:00:00 dbus-daemon
  6060 pts/0 00:00:00 dbus-daemon
  6079 ? 00:00:00 dbus-daemon
  6133 ? 00:00:00 dbus-daemon

$ dbus-launch
DBUS_SESSION_BUS_ADDRESS='unix:abstract=/tmp/dbus-j6D5iYnj8j,guid=30d6334596afa1704fa2ae9a45cfa700';
DBUS_SESSION_BUS_PID=6180;

$ dbus-monitor
Failed to open connection to session message bus: Unable to determine
the address of the message bus (try 'man dbus-launch' and 'man
dbus-daemon' for help)

looks more like a dbus issue? Awaiting further instructions.

regards
roland lezuo

Sebastien Bacher (seb128) wrote :

do you use GNOME as desktop? running GNOME applications outside of GNOME can create issues when there is no dbus bus started

iroli (roland-lezuo) wrote :

Sebastien Bacher wrote:
> do you use GNOME as desktop? running GNOME applications outside of GNOME
> can create issues when there is no dbus bus started
>

yes its a default ubuntu installation using gnome.

Sebastien Bacher (seb128) wrote :

the dbus issue is probably different of the printing one. Does it get fixed if you restart your session or reboot? For the printing, does gnome-cups-manager works fine? Is cupsys running? Did you change your configuration to limit the access to clients or something?

iroli (roland-lezuo) wrote :

Sebastien Bacher wrote:
> the dbus issue is probably different of the printing one. Does it get
> fixed if you restart your session or reboot? For the printing, does
> gnome-cups-manager works fine? Is cupsys running? Did you change your
> configuration to limit the access to clients or something?

restarting the computer did not help.
gnome-cups-manager is able to print a testpage.
(i think you mean access limitation for cups, no and even if, printing
is possible, evince and yelp and probably all applications using this
dialog won't print...)

regards
roland lezuo

Sebastien Bacher (seb128) wrote :

Le mercredi 18 octobre 2006 à 11:12 +0000, iroli a écrit :
> Sebastien Bacher wrote:
> > the dbus issue is probably different of the printing one. Does it get
> > fixed if you restart your session or reboot? For the printing, does
> > gnome-cups-manager works fine? Is cupsys running? Did you change your
> > configuration to limit the access to clients or something?
>
> restarting the computer did not help.

it didn't make the dbus message stop? The printing error looks like
either a cups or gtk printing code issue

iroli (roland-lezuo) wrote :

Sebastien Bacher wrote:
>
> it didn't make the dbus message stop? The printing error looks like
> either a cups or gtk printing code issue
>

The dbus seems to get found, but the folling message is still there,
same result: printing buttons do not get enabled.

WARNING **: Error result: Too many failed attempts

Guillem Marpons (gmarpons) wrote :

Same problem for me in two different machines (ubuntu edgy with default gnome desktop, one of them ppc, the other i386):

Evince/yelp's printing dialog with "Print" button disabled with any printer/queue except "print to file". Other dialogs (as the one from gpdf) functioning correctly.

I use proprietary cups drivers for a Lexmark E340 printer. The problem does not appear with other (less feature rich) cups/foomatic drivers.

iroli (roland-lezuo) wrote :

i use a propietary lexmark driver too. Never tried another driver.

regards
roland lezuo

Bavo (bavo-t) wrote :

I have the same problem with a cupsserver with several network printers.

None of the printers shows up in the dialog. All other programs work just fine. (Gedit,firefox,evolution, openoffice,acroread) Only Evince/Yelp and probably some others with the same printing dialog don't seem to be working.

As soon as the printing dialog opens i get the following error messages

** (evince:8363): WARNING **: Error result: HTTP Error in POST Success

** (evince:8363): WARNING **: Error getting printer list: HTTP Error in POST Success

** (evince:8363): WARNING **: Error result: HTTP Error in POST Success

** (evince:8363): WARNING **: Error getting printer list: HTTP Error in POST Success

...

Henry Gomersall (hgomersall) wrote :

I had this problem (or a very similar one). It was due to evince being unable to connect to the cups server (connection refused). This was apparent when I ran evince under strace.

The problem it seemed was due to an error in my hostname aliasing in the networking configs. Initially, for some reason, I had my hostname pointing at 127.0.1.1 and no alias at all for localhost. I *think* the problem was caused when I changed localhost to 127.0.0.1.

The problem was solved by changing both my hostname and localhost to be aliases for 127.0.0.1 and restarting.

I wonder if evince attempts to access cups with a different server string to most programs.

Sebastien Bacher (seb128) wrote :

Henry, thank you for the useful comment. Do other people having that problem have a similar configuration problem? Do you use a firewall?

Philippe Leroux (phler2) wrote :

Hi, I'm having the same problem
though on solaris using blastwave packages of gnome

firefox prints, gedit prints
but evince reports "too many failed attemps"
i click continue and then evince freezes...

googling only reports this thread

any tips on how to make it work?
i cant do much about the hostname, localhost seems to report to 127.0.0.1

thanks

Roman Sozinov (sozinov) wrote :

I have the same in solaris. And nothing helps :(
Philippe, did you fix it?

Philippe Leroux (phler2) wrote :

Ok so
gtk 2.10.9 from testing solves on bug and leads to another

i hanv't identified the last one
when printing
cups reports (see error logs in admin from localhost:631) "bad request line" ...

havnt found anything about that on the net

so I recompiled evince using --with-print=gnome
instead of gtk
as firefox and gedit use this printing backend

and it works ok, i mean evince will print and not freeze

check for cups log, this will have to be investigated some more,
i have no idea if it is a gtk bug or something else (cups, evince?)

Roman Sozinov (sozinov) wrote :

Philippe Leroux wrote:
> Ok so
> gtk 2.10.9 from testing solves on bug and leads to another
>
> i hanv't identified the last one
> when printing
> cups reports (see error logs in admin from localhost:631) "bad request line" ...
>
> havnt found anything about that on the net
>
> so I recompiled evince using --with-print=gnome
> instead of gtk
> as firefox and gedit use this printing backend
>
> and it works ok, i mean evince will print and not freeze
>
> check for cups log, this will have to be investigated some more,
> i have no idea if it is a gtk bug or something else (cups, evince?)
>
>
Philippe, can you help me, how can i recompile evince, if I installed it
from blastwave?
Where can i use option --with-print=gnome?

Roman

Sebastien Bacher (seb128) wrote :

what is "blastwave"? Could people trying to get the GTK printing problems fixed rather than rebuilding evince to use a deprecated API?

"blastwave" is a software distribution for Sun Solaris, so it is wildly out of topic here ;-)

I suffer from the same problem. For me, my printers are broadcast by a cups server over the network. I can reproduce it with the live CD (changing Browsing to On in /etc/cups/cupsd.conf, wait for printers and launch evince on a PDF).

I tried to change names in /etc/hosts but that does not change anything for me. I have no firewall on the different machines (server, client).

IIRC, I have the same problem on my Feisty laptop (I will check tonight).

Roman Sozinov (sozinov) wrote :

"blastwave" is a packages system for solaris. (www.blastwave.org)
Solaris 10 include Java Desktop System - it's based on GNOME 2.6.1.

Philippe Leroux (phler2) wrote :

Sorry for the confusion,

I thougth I was answering a post on blastwave/bug where I also posted the bug about GTK

anyhow, the problem is the same, whether it be ubuntu or blastwave,

knowing evince prints with gnome backend doesnt confirm however the bug is in gtk cups or evince

it could be the evince gtk printing backend that bugs
or gtk
I use gnome 2.14 and evince 0.6.1 unfortunately i have no other application compiled with gtk print backend
so i cant test it

people please look at your cups error log and check what is reported there,
is it the same "bad request line ...." as i have?

i will investigate some more

regards,

Sebastien Bacher (seb128) wrote :

> I use gnome 2.14 and evince 0.6.1 unfortunately i have no other application compiled with gtk print backend

what version of Ubuntu do you use? GtkPrint is a new API from GTK 2.10 which has been shipped with GNOME 2.16 on edgy and not for dapper. On edgy epiphany-browser uses GtkPrint as well and gtk-demo has an example to test printing

Changed in evince:
importance: Undecided → High
status: Needs Info → Confirmed
Philippe Leroux (phler2) wrote :

Sorry, i wasn't clear

i am not using ubuntu

i am using sparc/solaris/blastwave

however, googling the web only showed me this thread for the evince/gtk/cups printing bug

so I post here abou it

(note that this is not ubuntu specific)

regards

Roman Sozinov (sozinov) wrote :

Philippe, with what options did you recompile evince?
I tried to do it, configure is ok, but gmake says Error :/
My options is:
./configure --prefix=/opt/evince --with-print=gnome

Also I went another way:
I've installed CSWcups and see my printer in evince's printers list.
But when i choose it, evince killed.
Debug log:
ld.so.1: evince: fatal: relocation error: file /opt/csw/lib/gtk-2.0/2.10.0/print backends/libprintbackend-cups.so: symbol create_pickone_option_custom: reference d symbol not found
Killed

May be somebody helps?

Roman

Philippe Leroux (phler2) wrote :

Roman, i supose you have solaris if you installed CSWcups
i did that too
i did recompile evince with gnome print enable
althought with /opt/csw as prefix that's all
what gtk version do yhou have?
i have 2.10.9 it works ok

only thing, wiht gnomeprint enabled and cups, i cant change the paper size for the printer. i have no idea why, since i can with openoffice or firefox or gedit. worse, it is blocked to A4 where i have letter size. but then.... i can print

there certainly is a nasty bug with different behavior depending on with gtk version you have. note that 2.10.1 had a bug in the printing backend.

Philippe

Roman Sozinov (sozinov) wrote :

Philippe, i have gtk 2.10.1 from blactwave too and have a bug in the printing backend as you say.
How did you upgrade gtk to 2.10.9 version? Did you recompile it from sources?

Roman

Philippe Leroux (phler2) wrote :

Roman: gtk 2.10.9 used to be in blastwave.org/testing
it has been removed i dont know why
you probably will have to compile it by hand
or wait for the package to make it to unstable
or better, go to blastwave bug track and submit a bug for gtk2 to ask for the upgrade

now this was off topic in this thread so i invite you to join the discution on blastwave bug track

for the other people here, is printing now working for you in evince and gtk print backend? because i wish i could get back to this printing backend which is much better, if it wasnt for that bug....

regards
Philippe

Stefano Costa (steko) wrote :

I'm having the same problem on Ubuntu Feisty. I filed a bug against gnome-print yesterday: http://bugzilla.gnome.org/show_bug.cgi?id=413002
I think it's the same problem.

Hi all
  Same probleme here, with no generic ppd files in cups.

Error message in /var/log/cups/access_log was:
localhost - - [09/Mar/2007:10:33:27 +0100] "GET /ppd/colos.ppd HTTP/1.1" 404 0 - -

where colos is my printer name.

So, under cups, i have to mention /manualy/ the ppd file instead of chosing the printer type.

So printing under evince works now, and this is probably a cups bug.

Henrik Brink (henrikbrink) wrote :

Hello

I have the same problem. Evince and Epiphany doesn't enable the print button for most of the printers. It only appears on 1 out of 30 network printers (the only one using an ip address in the iip address instead of a host name. Dont know if that can have anything to do with it?)

Other programs print just fine (testet in Gedit and the printer configuration test thing).

When I select one of the printers that doesn't work, so the Print button stays disables, evince prints this to the terminal:

** (evince:5852): WARNING **: Error result: HTTP Error in GET Success

Dont know if that tells anyone anything?

Colin Watson (cjwatson) wrote :

Moving milestone forward; this is probably post-feisty now unless a fix appears soon.

Henrik Brink (henrikbrink) wrote :

Hello again

Suddenly, everything (regarding this bug) is working as espected in Feisty. The Print button is now enabled on all network printers, and it prints just fine in epiphany, evince and other apps using GTK printing API.

Can people confirm this? Do you see what I see?

Regards,

Henrik

Unfortunately, it does now work here :-(.

abaumhau (abaumhau+launchpad) wrote :

I have found several Ubuntu machines that had /etc/host entries for the hostname listed as 127.0.1.1 instead of 127.0.0.1. I don't know what application made the bogus change, but this was the problem with printing.

To track down this problem we need more information from people who have this problem.
If you experience this problem on Feisty please attach the output of the printingbug info script for some basic information about your printing setup. The printingbug info script can be found here: https://wiki.ubuntu.com/PrintingBugInfoScript.
Please also attach your /etc/hosts file.

Changed in evince:
assignee: desktop-bugs → pascal-devuyst
status: Confirmed → Needs Info
Martey Dodoo (martey) wrote :

I editing my printingbuginfo.txt to remove information about various network printers I have installed. I hope this is not an issue.

Here is /etc/hosts (inline since it is relatively short), which displays the 127.0.1.1 issue:
127.0.0.1 localhost
127.0.1.1 imperium.cable.rcn.com imperium

# The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

Markus Kolb (mkolb) wrote :

Well, here printing is enabled but there is no job generated.
Starting evince from console there is a message: (evince:16402): Gtk-WARNING **: Unsupported unit

== System information ==
Release : Ubuntu 7.04 (feisty)
Architecture : i686
Kernel : 2.6.20-15-generic
Locale : LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8, LC_PAPER=de_DE.UTF-8
/etc/papersize: a4

== Configured printers ==
device for Queue: ipp://192.168.0.130/printers/tp0

== Versions of important printing packages ==
ii cupsys 1.2.8-0ubuntu8 Common UNIX Printing System(tm) - server
ii cupsys-driver-gutenprint 5.0.0.99.1-0ubuntu2 printer drivers for CUPS
ii foomatic-db 20070327-0ubuntu1 OpenPrinting printer support - database
ii foomatic-db-engine 3.0.2-20070303-0ubuntu1 OpenPrinting printer support - programs
ii foomatic-db-gimp-print 5.0.0.99.1-0ubuntu2 OpenPrinting printer support - database for
ii foomatic-db-gutenprint 5.0.0.99.1-0ubuntu2 OpenPrinting printer support - database for
ii foomatic-filters 3.0.2-20070323-0ubuntu1 OpenPrinting printer support - filters
ii gs-common 0.3.11ubuntu1 Common files for different Ghostscript relea
ii gs-esp 8.15.4.dfsg.1-0ubuntu1 The Ghostscript PostScript interpreter - ESP
ii gs-esp-x 8.15.4.dfsg.1-0ubuntu1 The Ghostscript PostScript interpreter - ESP
ii ijsgutenprint 5.0.0.99.1-0ubuntu2 inkjet server - Ghostscript driver for Guten
ii libgnomeprint2.2-0 2.18.0-0ubuntu1 The GNOME 2.2 print architecture - runtime f

Created with printingbuginfo script v1.4 (https://wiki.ubuntu.com/PrintingBugInfoScript)
Tue, 01 May 2007 16:51:30 +0200

-----------

127.0.0.1 localhost.localdomain localhost menteth

# The following lines are desirable for IPv6 capable hosts
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

# The following lines are desirable for IPv6 capable hosts
# (added automatically by netbase upgrade)

::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

@Markus Kolb
This is a different issue that has been reported as bug #107425.
Please add further information about this issue in that bug report.

Andrew Wils (andrew+launchpad) wrote :

Here's /etc/hosts (also inline):

127.0.0.1 localhost
127.0.1.1 greenwich

# The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

Rafael Sarrô (rafael-sarro) wrote :

Hello,

 I was in the process of replaying with the requested information, when I decided to try something.
 I noticed that in my /etc/hosts file there was an entry that pointed do 127.0.1.1 but none to 127.0.0.1, so I added it manually. making it look like this:

 127.0.1.1 localhost skyler
 127.0.0.1 localhost skyler

Still the problem persisted. I decided then to swap the order of that lines in /etc/hosts file, since the name resolution is done sequentially, making the file look like this:

 127.0.0.1 localhost skyler
 127.0.1.1 localhost skyler

Immediately after saving the file, everything works again. I can view and modify the properties of any printer with gnome-cups-manager and cal also print from any gnome app (evince, gedit, etc)

So my guess is that this problem has something to do with the localhost name resolution and with whichever package that changes the /etc/host file

I have also attached the printbuginfo.txt file.

Henrik Brink (henrikbrink) wrote :

Hello again

I also have this line order in /etc/hosts, and my printers are working.

Does this work for anyone else?

abaumhau (abaumhau+launchpad) wrote :

The bug appears to be related to a change in Edgy where the hostname was added to the /etc/hosts file as 127.0.1.1. There are many threads (google 127.0.1.1) where this has caused performance problems. It looks like cups is looking up your machine's IP address based on hostname, finding the entry in /etc/hosts as 127.0.1.1 (instead of looking up localhost = 127.0.0.1). CUPS has security settings that only allows @LOCAL access (= 127.0.0.1) and not 127.0.1.1, so you can't query the printers. This looks like a change made by whoever added the entry into /etc/hosts, and didn't consider the ramifications to other packages.

As noted, the order of the /etc/hosts file is important to fixing this bug. The 127.0.0.1 entry must be first. Hopefully the right folks will see this thread, and fix the problems caused by the change in /etc/hosts.

This bug should be assigned to the package which generates the /etc/hosts file. The /ect/hosts file itself does not belong to any package:

till@till-laptop:/opt/lsb-buildenv-ia32/home/till/rpm/SPECS$ dpkg -S /etc/hosts
dpkg: /etc/hosts not found.
till@till-laptop:/opt/lsb-buildenv-ia32/home/till/rpm/SPECS$

For me the change of /etc/hosts seems not to work. I can print with gedit, gimp openoffice ... but not with evince.

evince output:
** (evince:6517): WARNING **: Error result: HTTP Error in GET Success

My /etc/hosts look like this:

127.0.0.1 localhost
127.0.1.1 localhost homer
192.168.1.2 homer.mydomain.com homer
192.168.1.8 schleppi.mydomain.com schleppi

I have also attached the printingbuginfo.txt.

May be anyone can tell me what I am making wrong? May be it is the deviceURI?

@Typhos
Looking at you printingbuginfo.txt I see you have no PPD (printer driver) installed, I assume you have the Lexmark T520.
According to the Lexmark website this printer supports the following languages: PostScript Level 3 and PCL6.
PostScript printers only need a printer specific PPD file to make them work. Please check the driver CD-ROM that came with your printer for PPD files. PPD files are just text files that can be used on both Windows and Linux. To install your printer with this PPD click System -> Administration -> Printers, add new printer, select the connection, click "Install Driver".
If you can't find a PPD file for your printer you should still be able to use the generic PostScript driver or one of the PCL6 drivers. To do this click System -> Administration -> Printers, add new printer, select make: Generic and model: PostScript or PCL6/PCL XL and one of the drivers.

I have the same problem (can't print in evince - printing works fine everywhere else). Printing in evince used to work fine in ubuntu Dapper. It stopped working when upgrading to Edgy. I hoped Feisty would solve the bug, but it is still there.

evince will show this message when selecting the printer in the print dialog:

** (evince:24793): WARNING **: Error result: HTTP Error in GET Success

my /etc/hosts file is really basic:

$ cat /etc/hosts
127.0.0.1 localhost incubus

# The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

I attach the printingbuginfo.txt file

I did an strace on evince while trying to print.

The error "** (evince:24793): WARNING **: Error result: HTTP Error in GET Success" is obtained when trying to open:
http://localhost:631/printers/Queue.ppd
which gives a 404 Not Found error

http://localhost:631/printers/Queue exists: it shows my printer in cups web interface

http://localhost:631/printers/Queue.ppd exists if the queue is not raw. If you have a raw queue, it does not have a PPD file and so it gives a 404 Not Found.

evince should also handle raw queues correctly and then only show options which are suitable for raw queues.

In cas eo f a queue which is not raw there is always a PPD under http://localhost:631/printers/Queue.ppd.

http://bugzilla.gnome.org/show_bug.cgi?id=370685

 Comment #4 from Johan Brannlund (reporter, points: 5)
2007-02-26 01:14 UTC

Pete McCormick figured out where the problem lies. In the function
cups_request_ppd_cb in modules/printbackends/cups/gtkprintbackendcups.c,
there's a check for a PPD file and if the check fails, gtk assumes there's an
error somewhere and flags the printer as unavailable.

In my case, doing "touch /etc/cups/ppd/lp_over_ssh.ppd" is enough to fix the
problem. Thanks, Pete!

I'm not sure if this bug should be kept open or closed as NOTABUG. How normal
is it for a printer not to have a PPD file?

Comment #5 from Matthias Clasen (gtk+ developer, points: 26)
2007-04-30 00:37 UTC

We recently fixed printing to raw queues (ie without ppd), so I think this
should work with current svn. Please reopen if it doesn't.

-----

In my case "touch /etc/cups/ppd/Queue.ppd" solved the problem

Please confirm if the following workaround solves your problem:
$ lpstat -v
device for x: ...
$ touch /etc/cups/ppd/x.ppd
Don't forget to replace the x by your printer name!

Cedric L'homme (rangzen) wrote :

touch /etc/cups/ppd/x.ppd with each printers works for me
Feisty with personnal ppd
localhost 127.0.0.1

Andrew Wils (andrew+launchpad) wrote :

The workaround did not solve the bug on my machine (running Feisty).

While
$ touch /etc/cups/ppd/prnSysadmin.ppd
does give me a URL that exists:
127.0.0.1:631/printers/prnSysadmin.ppd
.. when I select the printer in evince, the print button is still disabled and the terminal outputs the following:
** (evince:6558): WARNING **: Error result: HTTP Error in GET Success

Sebastien Bacher (seb128) wrote :

the new comment looks like bug #114701, would be interesting to know if the gutsy GTK version fixes it

Yeah, printing works again here (the same configuration with the same software does not work on Feisty). Same for evolution (bug #114701).

Changed in evince:
assignee: pascal-devuyst → desktop-bugs
Sebastien Bacher (seb128) wrote :

That should be fixed in gutsy, closing. Feel free to reopen if you still get the issue with the new version though

Changed in evince:
status: Incomplete → Fix Released
Alan L. Slaff (aslaff) wrote :

Thank you!!!! Evince would not print PDFs at all. All other printing okay. Your fix worked for me in Ubuntu 7.04. Thanks.

Herbert V. Riedel (hvr) wrote :

...maybe Bug #145278 is related to this bug?

Martin Devlin (martin-devlin) wrote :

I see this bug in Gusty Gibbon Ubuntu 7.10

I can print from firefox, openoffice and gedit. But when I try to print a pdf form evince, it does not show the Print button as enabled.

1. Open up the print dialog, my default printer is selected and the print button is disabled.
2. Select the "Print To File" Printer and then the Print button becomes enabled.
3. Select my default printer again --> Print Button disabled.
4. Select on "Print To File" again, and now the Print Button is still disabled!
5. It now stays disabled no matter which printer I select.

Martin Devlin (martin-devlin) wrote :

I'm not sure if changing status to "new" is the correct thing to do so appologies if this is not the correct procedure. I'm trying to reopen this bug because I'm seeing it on 7.10 and the previous fix was done on 7.04.
thanks,
M

Changed in evince:
status: Fix Released → New
Martin Devlin (martin-devlin) wrote :

In addition to my previous 2 posts, I ran evince again except starting inside a shell so that I could see the stdout/sdterr. I seen this message when I opened up the print diloag for the first time:

** (evince:14375): WARNING **: File is empty

Maybe this doesn't mean anything relevant. However, when I select "Print Preview" button, I see this:

(evince:14375): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
(evince:14375): Gtk-CRITICAL **: gtk_printer_accepts_ps: assertion `GTK_IS_PRINTER (printer)' failed

The cpu goes crazy, the dialog closes (crashes?) and I go back to the main evince window. No Print Preview ever appears.

BTW my localhost is set to 127.0.0.1

Martin Devlin (martin-devlin) wrote :

(Sorry for not consolidating my posts)

Here is my hosts file - note that locahost is 127.0.0.1 but my machine name (mdevlin) is 127.0.1.1 - could this have something to do with it?

cat /etc/hosts
127.0.1.1 mdevlin

# The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts
172.18.42.129 localhostext
127.0.0.1 localhost

Sebastien Bacher (seb128) wrote :

don't reopen closed bugs only because you have a similar issue

Changed in evince:
status: New → Fix Released
farchumbre (farchumbre) wrote :

evnince was printing pdf files in ubuntu 9.04, when I upgraded to ubuntu 9.10 I can't print pdf files anymore using evince.
Any suggestions?

herman

farchumbre, this is not the bug which you are suffering. Please have a look at bug 419143.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions